Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 36304 - SheetTableTest.testGrayMarginEdgePaintedWhenSortByCategory fails: Gray margin edge not painted in sort by category mode
SheetTableTest.testGrayMarginEdgePaintedWhenSortByCategory fails: Gray margin...
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: _ tboudreau
issues@platform
: TEST
Depends on: 31896
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-26 20:19 UTC by Jesse Glick
Modified: 2008-12-22 18:53 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
XTest log (8.59 KB, text/html)
2003-09-26 20:20 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2003-09-26 20:19:43 UTC
I have gotten this failure consistently for some
weeks now.

Linux 2.4.18, JDK 1.4.0_04, CVS trunk,
full-build-linux.sh (testedmodule=openide) in a
VNC display.
Comment 1 Jesse Glick 2003-09-26 20:20:11 UTC
Created attachment 11725 [details]
XTest log
Comment 2 Jesse Glick 2003-10-14 00:08:16 UTC
Still consistently failing for me in dev builds, BTW.
Comment 3 _ tboudreau 2003-10-14 09:28:42 UTC
I believe it's fixed in the proppanel_rewrite branch, which will
hopefully be merged in the next week or so.

I'm wondering if it's a platform-specific thing, tho - it's
occasionally but very rarely failed for me on Windows.
Comment 4 Jesse Glick 2003-10-16 15:53:12 UTC
Note: I have been running in a nested VNC server with an 8-bit
display. Quite possible it does not fail when run on a 16-bit display.
TBD. If so, do we really want a unit test which passes or fails
depending on the bitplanes of the graphics display?!
Comment 5 _ tboudreau 2003-10-17 00:09:34 UTC
Ugh...I just committed another test which does the same.

Honestly, I don't have a clue how to avoid this problem - for some 
things, you simply need the pixels.  It's conceivably avoidable for
this test;  for the one I just committed, it is checking whether the
error icon is displayed for marked properties, or ones that specify
their own icon to display.  I can't see how to test that that hasn't
gotten mangled without asking the component to paint itself, and 
at any point along the way an image can get converted into one 
compatible with the display.

I could just write in a test if the graphics environment is 8 bit,
and just not try to run this stuff if that's the case.  As long as
the automated tests are not running in an 8 bit environment, that
should work.
Comment 6 _ tboudreau 2003-11-08 16:42:25 UTC
This is fixed on the property panel rewrite branch - tests such as
this are no longer run in inappropriate graphics environments.
Comment 7 _ tboudreau 2003-12-09 09:36:48 UTC
Property panel rewrite branch merged.
Comment 8 Marian Mirilovic 2005-07-13 13:26:28 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo